aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/common/include-apps-prepare-upload-folder-merged.sh
diff options
context:
space:
mode:
authorRomain Forlot <romain.forlot@iot.bzh>2018-10-31 12:55:15 +0100
committerRomain Forlot <romain.forlot@iot.bzh>2018-11-20 11:25:19 +0100
commit3888016540a8eac7db193f6b052a59f986bd813b (patch)
treec3a7c01da35f9fedd4b36fc7d139d6773923344b /jjb/common/include-apps-prepare-upload-folder-merged.sh
parent3c9cfcd4831944ab2f86783e456dfdac224de4ac (diff)
Comply to the SPEC-495
The Applications from AGL framework should have a full packaging solution, Independent of yocto workflow. Unfortunately the build part of the Applications is only in documentation or in yocto recipes. The Applications build with AGL framework must be automated without any yocto recipes. Change-Id: Ibba27c037df55c1487f0bcc7fdb75e8572515d4f Signed-off-by: Romain Forlot <romain.forlot@iot.bzh>
Diffstat (limited to 'jjb/common/include-apps-prepare-upload-folder-merged.sh')
-rw-r--r--jjb/common/include-apps-prepare-upload-folder-merged.sh17
1 files changed, 11 insertions, 6 deletions
diff --git a/jjb/common/include-apps-prepare-upload-folder-merged.sh b/jjb/common/include-apps-prepare-upload-folder-merged.sh
index a5dc0152..2847a7bd 100644
--- a/jjb/common/include-apps-prepare-upload-folder-merged.sh
+++ b/jjb/common/include-apps-prepare-upload-folder-merged.sh
@@ -44,12 +44,6 @@ export DEST=$(pwd)/UPLOAD/${PROJECTPATTERN}
pushd ${MYPROJECT}
pwd
-if test x"$isCMAKE" = x"1" ; then
- echo "isCMAKE"
- # use cmake build/package folder for wgt's ...
- ls build/package/ || true
- cp build/package/*.wgt $DEST
-fi
if test x"$isAUTOBUILD" = x"1" ; then
echo "isAUTOBUILD"
if [ "$(ls -l package/*.wgt | wc -l)" = "1" ] ; then
@@ -62,6 +56,17 @@ if test x"$isAUTOBUILD" = x"1" ; then
cp build/package/*.wgt $DEST
fi
fi
+
+######################################################################
+# /!\/!\/!\ DEPRECATED FALLBACK WAY TO BUILD AGL APPS /!\/!\/!\ #
+######################################################################
+
+if test x"$isCMAKE" = x"1" ; then
+ echo "isCMAKE"
+ # use cmake build/package folder for wgt's ...
+ ls build/package/ || true
+ cp build/package/*.wgt $DEST
+fi
if test x"$isMAKE" = x"1" ; then
echo "isMAKE"
# use just ./package/ for wgt's